using System.Collections.Generic;

namespace DotPrograms
{
    public class CompilationResult
    {
        #region Properties

        public List<byte> BytesCode { get; set; }
        public List<string> Frames { get; set; }
        public List<CompilationError> Errors { get; set; }

        #endregion

        #region Constructors

        public CompilationResult()
        {
            this.BytesCode = new List<byte>();
            this.Frames = new List<string>();
            this.Errors = new List<CompilationError>();
        }

        #endregion
    }
}